package com.ruoyi.party.domain;

import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 党组织管理对象 party_organization
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public class PartyOrganization implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dzzdm;

    /** $column.columnComment */
    /**
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dzzmc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dzzsj;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dzzlxr;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dzzlxdh;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String zzlb;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sdgx;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sjdzzdm;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String txdz;

    /** $column.columnComment */
    /**
     * 所属网格
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sswg;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dw;

    // 支部经度
    private String longitude;

   // 支部纬度
    private String latitude;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setDzzdm(String dzzdm)
    {
        this.dzzdm = dzzdm;
    }

    public String getDzzdm() 
    {
        return dzzdm;
    }
    public void setDzzmc(String dzzmc) 
    {
        this.dzzmc = dzzmc;
    }

    public String getDzzmc() 
    {
        return dzzmc;
    }
    public void setDzzsj(String dzzsj) 
    {
        this.dzzsj = dzzsj;
    }

    public String getDzzsj() 
    {
        return dzzsj;
    }
    public void setDzzlxr(String dzzlxr) 
    {
        this.dzzlxr = dzzlxr;
    }

    public String getDzzlxr() 
    {
        return dzzlxr;
    }
    public void setDzzlxdh(String dzzlxdh) 
    {
        this.dzzlxdh = dzzlxdh;
    }

    public String getDzzlxdh() 
    {
        return dzzlxdh;
    }
    public void setZzlb(String zzlb) 
    {
        this.zzlb = zzlb;
    }

    public String getZzlb() 
    {
        return zzlb;
    }
    public void setSdgx(String sdgx) 
    {
        this.sdgx = sdgx;
    }

    public String getSdgx() 
    {
        return sdgx;
    }
    public void setSjdzzdm(String sjdzzdm) 
    {
        this.sjdzzdm = sjdzzdm;
    }

    public String getSjdzzdm() 
    {
        return sjdzzdm;
    }
    public void setTxdz(String txdz) 
    {
        this.txdz = txdz;
    }

    public String getTxdz() 
    {
        return txdz;
    }
    public void setSswg(String sswg) 
    {
        this.sswg = sswg;
    }

    public String getSswg() 
    {
        return sswg;
    }
    public void setDw(String dw) 
    {
        this.dw = dw;
    }

    public String getDw() 
    {
        return dw;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dzzdm", getDzzdm())
            .append("dzzmc", getDzzmc())
            .append("dzzsj", getDzzsj())
            .append("dzzlxr", getDzzlxr())
            .append("dzzlxdh", getDzzlxdh())
            .append("zzlb", getZzlb())
            .append("sdgx", getSdgx())
            .append("sjdzzdm", getSjdzzdm())
            .append("txdz", getTxdz())
            .append("sswg", getSswg())
            .append("dw", getDw())
            .toString();
    }
}
